<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/welcome_nav_graph"
    app:startDestination="@id/splashFragment">

    <fragment
        android:id="@+id/welcomeFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.WelcomeFragment"
        android:label="WelcomeFragment" >
        <action
            android:id="@+id/action_welcomeFragment_to_chooseRoleFragment"
            app:destination="@id/chooseRoleFragment" />
    </fragment>
    <fragment
        android:id="@+id/chooseRoleFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.ChooseRoleFragment"
        android:label="ChooseRoleFragment" >
        <action
            android:id="@+id/action_chooseRoleFragment_to_signInSignUpFragment"
            app:destination="@id/signInSignUpFragment" />
        <action
            android:id="@+id/action_chooseRoleFragment_to_cgOnBoardFragment"
            app:destination="@id/cgOnBoardFragment" />
    </fragment>
    <fragment
        android:id="@+id/signInSignUpFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.SignInSignUpFragment"
        android:label="SignInSignUpFragment" >
        <action
            android:id="@+id/action_signInSignUpFragment_to_signInFragment"
            app:destination="@id/signInFragment" />
        <action
            android:id="@+id/action_signInSignUpFragment_to_howToSetUpFragment"
            app:destination="@id/howToSetUpFragment" />
    </fragment>
    <fragment
        android:id="@+id/signInFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.SignInFragment"
        android:label="SignInFragment" >
        <action
            android:id="@+id/action_signInFragment_to_forgotPinFragment"
            app:destination="@id/forgotPinFragment" />
        <action
            android:id="@+id/action_signInFragment_to_profileProgressFragment"
            app:destination="@id/profileProgressFragment" />
        <action
            android:id="@+id/action_signInFragment_to_reActivateFragment"
            app:destination="@id/reActivateFragment" />
        <action
            android:id="@+id/action_signInFragment_to_thankYouFragment"
            app:destination="@id/thankYouFragment" />
    </fragment>
    <fragment
        android:id="@+id/forgotPinFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.forgotpin.ForgotPinFragment"
        android:label="ForgotPinFragment" >
        <action
            android:id="@+id/action_forgotPinFragment_to_checkMailFragment"
            app:destination="@id/checkMailFragment" />
    </fragment>
    <fragment
        android:id="@+id/checkMailFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.forgotpin.CheckMailFragment"
        android:label="CheckMailFragment" >
        <action
            android:id="@+id/action_checkMailFragment_to_changePinFragment"
            app:destination="@id/changePinFragment" />
    </fragment>
    <fragment
        android:id="@+id/changePinFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.forgotpin.ChangePinFragment"
        android:label="ChangePinFragment" />
    <fragment
        android:id="@+id/registerFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.register.RegisterFragment"
        android:label="RegisterFragment" >
        <action
            android:id="@+id/action_registerFragment_to_locationFragment"
            app:destination="@id/locationFragment" />
    </fragment>
    <fragment
        android:id="@+id/locationFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.register.LocationFragment"
        android:label="LocationFragment" >
        <action
            android:id="@+id/action_locationFragment_to_createPinFragment"
            app:destination="@id/createPinFragment" />
    </fragment>
    <fragment
        android:id="@+id/createPinFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.register.CreatePinFragment"
        android:label="CreatePinFragment" >
        <action
            android:id="@+id/action_createPinFragment_to_thankYouFragment"
            app:destination="@id/thankYouFragment"
            app:popUpTo="@+id/welcomeFragment"
            app:popUpToInclusive="true"
            />
    </fragment>
    <fragment
        android:id="@+id/thankYouFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.register.ThankYouFragment"
        android:label="ThankYouFragment" >

        <action
            android:id="@+id/action_thankYouFragment_to_createContactFragment"
            app:destination="@id/createContactFragment" />
        <action
            android:id="@+id/action_thankYouFragment_to_contactListFragment"
            app:destination="@id/contactListFragment" />
    </fragment>
    <fragment
        android:id="@+id/contactListFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.contacts.ContactListFragment"
        android:label="ContactListFragment" >
        <action
            android:id="@+id/action_contactListFragment_to_createContactFragment"
            app:destination="@id/createContactFragment" />
    </fragment>
    <fragment
        android:id="@+id/createContactFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.contacts.CreateContactFragment"
        android:label="CreateContactFragment" >
        <action
            android:id="@+id/action_createContactFragment_to_addContactFragment"
            app:destination="@id/addContactFragment"
            app:popUpTo="@id/thankYouFragment"
            app:popUpToInclusive="true"
            />
    </fragment>
    <fragment
        android:id="@+id/addContactFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.contacts.AddContactFragment"
        android:label="AddContactFragment">
        <action
            android:id="@+id/action_addContactFragment_to_contactInfoFragment"
            app:destination="@id/contactInfoFragment" />
        <action
            android:id="@+id/action_addContactFragment_to_profileProgressFragment"
            app:destination="@id/profileProgressFragment"
            app:popUpTo="@id/addContactFragment"
            app:popUpToInclusive="true"
            />
        <action
            android:id="@+id/action_addContactFragment_to_contactListFragment"
            app:destination="@id/contactListFragment"
            />
        <action
            android:id="@+id/action_addContactFragment_to_createContactFragment"
            app:destination="@id/createContactFragment"
            />
    </fragment>
    <fragment
        android:id="@+id/contactInfoFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.contacts.ContactInfoFragment"
        android:label="ContactInfoFragment"
        >
        <action
            android:id="@+id/action_contactInfoFragment_to_createContactFragment"
            app:destination="@id/createContactFragment" />
    </fragment>
    <fragment
        android:id="@+id/howToSetUpFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.register.HowToSetUpFragment"
        android:label="HowToSetUpFragment" >
        <action
            android:id="@+id/action_howToSetUpFragment_to_registerFragment"
            app:destination="@id/registerFragment" />
    </fragment>
    <fragment
        android:id="@+id/profileProgressFragment"
        android:name="com.app.simplitend.patientprofile.ProfileProgressFragment"
        android:label="ProfileProgressFragment" >
        <action
            android:id="@+id/action_profileProgressFragment_to_reminderFragment"
            app:destination="@id/reminderFragment" />
        <action
            android:id="@+id/action_profileProgressFragment_to_medicalInfoFragment"
            app:destination="@id/medicalInfoFragment" />
        <action
            android:id="@+id/action_profileProgressFragment_to_routineFragment"
            app:destination="@id/routineFragment" />
        <action
            android:id="@+id/action_profileProgressFragment_to_addContactFragment"
            app:destination="@id/addContactFragment" />
        <action
            android:id="@+id/action_profileProgressFragment_to_registerCompleteFragment"
            app:destination="@id/registerCompleteFragment" />
    </fragment>
    <fragment
        android:id="@+id/reminderFragment"
        android:name="com.app.simplitend.patientprofile.medreminder.ReminderFragment"
        android:label="ReminderFragment" >
        <action
            android:id="@+id/action_reminderFragment_to_addReminderFragment"
            app:destination="@id/addReminderFragment" />
    </fragment>

    <fragment
        android:id="@+id/addReminderFragment"
        android:name="com.app.simplitend.patientprofile.medreminder.AddReminderFragment"
        android:label="AddReminderFragment" />
    <fragment
        android:id="@+id/splashFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.register.SplashFragment"
        android:label="SplashFragment" >
        <action
            android:id="@+id/action_splashFragment_to_welcomeFragment"
            app:destination="@id/welcomeFragment" />
        <action
            android:id="@+id/action_splashFragment_to_profileProgressFragment"
            app:destination="@id/profileProgressFragment" />
        <action
            android:id="@+id/action_splashFragment_to_cgConnectFragment"
            app:destination="@id/cgConnectFragment" />
        <action
            android:id="@+id/action_splashFragment_to_reActivateFragment"
            app:destination="@id/reActivateFragment" />
        <action
            android:id="@+id/action_splashFragment_to_thankYouFragment"
            app:destination="@id/thankYouFragment" />
    </fragment>
    <fragment
        android:id="@+id/medicalInfoFragment"
        android:name="com.app.simplitend.patientprofile.medicalinfo.MedicalInfoFragment"
        android:label="MedicalInfoFragment" >
        <action
            android:id="@+id/action_medicalInfoFragment_to_addMedicalInfoFragment"
            app:destination="@id/addMedicalInfoFragment" />
    </fragment>
    <fragment
        android:id="@+id/addMedicalInfoFragment"
        android:name="com.app.simplitend.patientprofile.medicalinfo.AddMedicalInfoFragment"
        android:label="AddMedicalInfoFragment" />
    <fragment
        android:id="@+id/routineFragment"
        android:name="com.app.simplitend.patientprofile.setuproutine.RoutineFragment"
        android:label="RoutineFragment" >
        <action
            android:id="@+id/action_routineFragment_to_addRoutineFragment"
            app:destination="@id/addRoutineFragment" />
    </fragment>
    <fragment
        android:id="@+id/addRoutineFragment"
        android:name="com.app.simplitend.patientprofile.setuproutine.AddRoutineFragment"
        android:label="AddRoutineFragment" />
    <fragment
        android:id="@+id/registerCompleteFragment"
        android:name="com.app.simplitend.patientprofile.RegisterCompleteFragment"
        android:label="RegisterCompleteFragment" />
    <fragment
        android:id="@+id/cgOnBoardFragment"
        android:name="com.app.simplitend.welcome.welcomecg.fragments.CgOnBoardFragment"
        android:label="CgOnBoardFragment" >
        <action
            android:id="@+id/action_cgOnBoardFragment_to_cgSignInFragment"
            app:destination="@id/cgSignInFragment" />
        <action
            android:id="@+id/action_cgOnBoardFragment_to_cgHowToSetUpFragment"
            app:destination="@id/cgHowToSetUpFragment" />
    </fragment>
    <fragment
        android:id="@+id/cgHowToSetUpFragment"
        android:name="com.app.simplitend.welcome.welcomecg.fragments.CgHowToSetUpFragment"
        android:label="CgHowToSetUpFragment" >
        <action
            android:id="@+id/action_cgHowToSetUpFragment_to_cgRegisterFragment"
            app:destination="@id/cgRegisterFragment" />
    </fragment>
    <fragment
        android:id="@+id/cgSignInFragment"
        android:name="com.app.simplitend.welcome.welcomecg.fragments.CgSignInFragment"
        android:label="CgSignInFragment" >
        <action
            android:id="@+id/action_cgSignInFragment_to_cgForgotPasswordFragment"
            app:destination="@id/cgForgotPasswordFragment" />
        <action
            android:id="@+id/action_cgSignInFragment_to_cgHowToSetUpFragment"
            app:destination="@id/cgHowToSetUpFragment" />
        <action
            android:id="@+id/action_cgSignInFragment_to_cgConnectFragment"
            app:destination="@id/cgConnectFragment" />
        <action
            android:id="@+id/action_cgSignInFragment_to_reActivateFragment"
            app:destination="@id/reActivateFragment" />
    </fragment>
    <fragment
        android:id="@+id/cgRegisterFragment"
        android:name="com.app.simplitend.welcome.welcomecg.fragments.CgRegisterFragment"
        android:label="CgRegisterFragment" >
        <action
            android:id="@+id/action_cgRegisterFragment_to_cgConnectFragment"
            app:destination="@id/cgConnectFragment" />
    </fragment>
    <fragment
        android:id="@+id/cgConnectFragment"
        android:name="com.app.simplitend.welcome.welcomecg.fragments.CgConnectFragment"
        android:label="CgConnectFragment" />
    <fragment
        android:id="@+id/cgForgotPasswordFragment"
        android:name="com.app.simplitend.welcome.welcomecg.fragments.CgForgotPasswordFragment"
        android:label="CgForgotPasswordFragment" >
        <action
            android:id="@+id/action_cgForgotPasswordFragment_to_cgCheckEmailFragment"
            app:destination="@id/cgCheckEmailFragment" />
    </fragment>
    <fragment
        android:id="@+id/cgCheckEmailFragment"
        android:name="com.app.simplitend.welcome.welcomecg.fragments.CgCheckEmailFragment"
        android:label="CgCheckEmailFragment" >
        <action
            android:id="@+id/action_cgCheckEmailFragment_to_cgChangePwdFragment"
            app:destination="@id/cgChangePwdFragment" />
    </fragment>
    <fragment
        android:id="@+id/cgChangePwdFragment"
        android:name="com.app.simplitend.welcome.welcomecg.fragments.CgChangePwdFragment"
        android:label="CgChangePwdFragment" />
    <fragment
        android:id="@+id/reActivateFragment"
        android:name="com.app.simplitend.welcome.welcomepatient.fragments.register.ReActivateFragment"
        android:label="ReActivateFragment" >
        <action
            android:id="@+id/action_reActivateFragment_to_splashFragment"
            app:destination="@id/splashFragment" />
    </fragment>
</navigation>